Debian Bug report logs - #684282
assertion failure (obj->ref == 0) when removing a virtual device

version graph

Package: qemu-kvm; Maintainer for qemu-kvm is Michael Tokarev <mjt@tls.msk.ru>; Source for qemu-kvm is src:qemu.

Reported by: Michael Tokarev <mjt@tls.msk.ru>

Date: Wed, 8 Aug 2012 12:39:05 UTC

Severity: important

Tags: patch, upstream, wheezy

Found in version qemu-kvm/1.1.0+dfsg-3

Fixed in version qemu-kvm/1.1.1+dfsg-1

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Forwarded to http://thread.gmane.org/gmane.comp.emulators.qemu/164180

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#684282; Package qemu-kvm. (Wed, 08 Aug 2012 12:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
New Bug report received and forwarded. (Wed, 08 Aug 2012 12:39:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: assertion failure (obj->ref == 0) when removing a virtual device
Date: Wed, 08 Aug 2012 16:33:57 +0400
Package: qemu-kvm
Version: 1.1.0+dfsg-3
Severity: important
Tags: upstream wheezy
Forwarded: http://thread.gmane.org/gmane.comp.emulators.qemu/164180

When deleting guest (usb) device dynamically from qemu monitor,
the qemu process terminates with assertion failure:

(qemu) usb_del 0.3
**
ERROR:/build/kvm/git/qom/object.c:389:object_delete: assertion failed: (obj->ref == 0)
Aborted.

This is upstream problem:

http://thread.gmane.org/gmane.comp.emulators.qemu/164180

It is important issue to be fixed for wheezy.  The same
problem exists in qemu-system package.

/mjt



Added tag(s) pending and patch. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Wed, 08 Aug 2012 15:06:03 GMT) Full text and rfc822 format available.

Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Sat, 25 Aug 2012 09:21:14 GMT) Full text and rfc822 format available.

Notification sent to Michael Tokarev <mjt@tls.msk.ru>:
Bug acknowledged by developer. (Sat, 25 Aug 2012 09:21:14 GMT) Full text and rfc822 format available.

Message #12 received at 684282-close@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 684282-close@bugs.debian.org
Subject: Bug#684282: fixed in qemu-kvm 1.1.1+dfsg-1
Date: Sat, 25 Aug 2012 09:17:55 +0000
Source: qemu-kvm
Source-Version: 1.1.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
qemu-kvm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684282@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tokarev <mjt@tls.msk.ru> (supplier of updated qemu-kvm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Aug 2012 12:56:01 +0400
Source: qemu-kvm
Binary: qemu-kvm qemu-kvm-dbg kvm
Architecture: source i386
Version: 1.1.1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Michael Tokarev <mjt@tls.msk.ru>
Changed-By: Michael Tokarev <mjt@tls.msk.ru>
Description: 
 kvm        - dummy transitional package from kvm to qemu-kvm
 qemu-kvm   - Full virtualization on x86 hardware
 qemu-kvm-dbg - Debugging info for qemu-kvm
Closes: 680719 683096 684261 684263 684282 684311 684323 684327 685314
Changes: 
 qemu-kvm (1.1.1+dfsg-1) unstable; urgency=low
 .
   * new upstream bugfix release (1.1.1) (Closes: #684311)
     Removed applied upstream patches:
     - qemu-kvm-Add-missing-default-machine-options.patch
     - qemu-kvm-virtio-Do-not-register-mask-notifiers-witho.patch
   * uhci:-fix-uhci_async_cancel_all.patch fixes use-after-free
     in usb code (Closes: #684323)
   * eventfd-making-it-thread-safe.patch - fix a missing
     ioeventfd notifier (Closes: #680719, #685314)
   * qom-object_delete-should-unparent-the-object-first.patch
     fixes assertion failure on usb_del (Closes: #684282)
   * virtio-blk-fix-use-after-free-while-handling-scsi-commands.patch
     (Closes: #684261)
   * ahci-Fix-ahci-cdrom-read-corruptions-for-reads-128k.patch (Closes: #684263)
   * ahci-Fix-sglist-memleak-in-ahci_dma_rw_buf.patch (Closes: #684327)
   * kvm-i8254-cache-kernel-clock-offset-in-KVMPITState.patch and
     kvm-i8254-finish-time-conversion-fix.patch - two patches from upstream
     stable to fix TSC vs PIT timers (Closes: #683096)
   * document -netdev option in the manpage, a long-standing omission
     (net-add--netdev-options-to-man-page.patch)
Checksums-Sha1: 
 2916e3850bb0ce08ec3c387724aea5bc2c6dcfc2 1949 qemu-kvm_1.1.1+dfsg-1.dsc
 b7277fcf0c19397a27a69387bfe45ca38506b9a0 3645276 qemu-kvm_1.1.1+dfsg.orig.tar.xz
 5701b38c50b9b308c106106cd81733816b2832d6 42677 qemu-kvm_1.1.1+dfsg-1.debian.tar.gz
 c87a023409129fc4882feee1c20efdbbd8aeb97d 1753606 qemu-kvm_1.1.1+dfsg-1_i386.deb
 ad6e3e1c4e78bb074fcf9858036dbc65a5ab0ba9 5091316 qemu-kvm-dbg_1.1.1+dfsg-1_i386.deb
 2ea153727afa86bb89b81f4f54b1b6eec57d7935 21950 kvm_1.1.1+dfsg-1_i386.deb
Checksums-Sha256: 
 c7516b33b7b1ba90975d5b9ed3f67d8ec873cee6df44dbfb10386d03002bd225 1949 qemu-kvm_1.1.1+dfsg-1.dsc
 9b1b5f6acdb72874c91c5d02e2d2d951ceb78d76c5e2df9ae4498464f54bdf3d 3645276 qemu-kvm_1.1.1+dfsg.orig.tar.xz
 f453a396ac6423cdf2f5713d4caf4d8c28b5706244a1103f229a32651029fb8d 42677 qemu-kvm_1.1.1+dfsg-1.debian.tar.gz
 6b9fe603585bb1152c62a2493498984205a763a2955c73406729a8c340ef27c6 1753606 qemu-kvm_1.1.1+dfsg-1_i386.deb
 3fddcf3f30c5562ee6ff2909e4d9ed5d48ec5a30fca5af1e50571e004179aaf0 5091316 qemu-kvm-dbg_1.1.1+dfsg-1_i386.deb
 1c125efd6fc8cc32dadd6792e9f63fd5d855cf0f80fcdd2e15947488f3c695ea 21950 kvm_1.1.1+dfsg-1_i386.deb
Files: 
 7118b7b8081c01b76fc6807f9fb60ee1 1949 misc optional qemu-kvm_1.1.1+dfsg-1.dsc
 9d059d914fad114c506030530c2d9817 3645276 misc optional qemu-kvm_1.1.1+dfsg.orig.tar.xz
 1bf5baa1950dd86e49789357b97a4fc3 42677 misc optional qemu-kvm_1.1.1+dfsg-1.debian.tar.gz
 0fcd32fcf4584598aa59dccc726fcc4e 1753606 misc optional qemu-kvm_1.1.1+dfsg-1_i386.deb
 9accdc6d324ef823b4399f312e892da7 5091316 debug extra qemu-kvm-dbg_1.1.1+dfsg-1_i386.deb
 0e798a4a4cca897b060de9f2f1935e2c 21950 oldlibs extra kvm_1.1.1+dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iJwEAQECAAYFAlA4llQACgkQUlPFrXTwyDgMkAQAgkVe70KencSD1QiqwiJT1rq1
I6BWGXxUvSh/MCI/GxnFEGKBLNJ9//pLKIHedmNSx+0+Hxg4d61CbRi5JDyLEoCZ
bDAlC+pGqWTYqALi2bsZvnOQLEOI/H3+YMk+7G6YPCjsxcML2CVbKVoBOrti9v8p
zwSxxj2KMFwyxjDgGXc=
=UzkX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Oct 2012 07:29:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:09:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.